Announcement

Collapse
No announcement yet.

Error after change MySQL to MariaDB

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] Error after change MySQL to MariaDB

    Hello,
    i got problem after change MySQL to MariaDB

    PHP Code:
    Database error in vBulletin :

    mysql_connect() [<a href='function.mysql-connect'>function.mysql-connect</a>]: Headers and client library minor version mismatchHeaders:50169 Library:50312
    /home/admin/ditusuk/includes/class_core.php on line 317

    MySQL Error   
    :
    Error Number  :
    Request Date  TuesdayJuly 23rd 2013 03:29:27 AM
    Error Date    
    TuesdayJuly 23rd 2013 03:29:27 AM
    Script        
    http://www.xxxxx.net
    Referrer      :
    IP Address    199.48.164.133
    Username      
    :
    Classname     vB_Database
    MySQL Version 

    but another script work fine ( Wordpress )
    forum freedom

  • #2
    You should either recompile PHP using the correct MySQL library or install the proper module (php-mysql or php5-mysql etc) via yum/apt-get etc
    Gentoo Geek

    Comment


    • #3
      hi thanks for your reply
      i'm already install it

      PHP Code:
      [root@juniper ~]# yum list installed | grep MariaDB*
      MariaDB-client.x86_64              5.5.32-1                  @kloxo-mr-mariadb64
      MariaDB
      -common.x86_64              5.5.32-1                  @kloxo-mr-mariadb64
      MariaDB
      -compat.x86_64              5.5.32-1                  @kloxo-mr-mariadb64
      MariaDB
      -devel.x86_64               5.5.32-1                  @kloxo-mr-mariadb64
      MariaDB
      -server.x86_64              5.5.32-1                  @kloxo-mr-mariadb64
      MariaDB
      -shared.x86_64              5.5.32-1                  @kloxo-mr-mariadb64
      [root@juniper ~]# yum list installed | grep php53u*
      php53u.x86_64                      5.3.27-1.ius.el6          @kloxo-mr-ius
      php53u
      -cli.x86_64                  5.3.27-1.ius.el6          @kloxo-mr-ius
      php53u
      -common.x86_64               5.3.27-1.ius.el6          @kloxo-mr-ius
      php53u
      -devel.x86_64                5.3.27-1.ius.el6          @kloxo-mr-ius
      php53u
      -fpm.x86_64                  5.3.27-1.ius.el6          @kloxo-mr-ius
      php53u
      -gd.x86_64                   5.3.27-1.ius.el6          @kloxo-mr-ius
      php53u
      -mbstring.x86_64             5.3.27-1.ius.el6          @kloxo-mr-ius
      php53u
      -mysql.x86_64                5.3.27-1.ius.el6          @kloxo-mr-ius
      php53u
      -pdo.x86_64                  5.3.27-1.ius.el6          @kloxo-mr-ius
      php53u
      -pear.noarch                 1:1.9.4-3.ius.el6         @kloxo-mr-ius
      [root@juniper ~]
      forum freedom

      Comment


      • #4
        That is not what the error indicates, have you restarted your webserver since the update?

        Comment

        widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
        Working...
        X